Forum has been created to help all our customers in properly working our theme. We offer complete help with configuration theme and make default look, just like on our Rocco demo. We don`t offer theme customization.

Before creating a new discussion, please:
1. Check on forum if discussion hasn`t been created before. Use the forum Search on the right.
2. Read carefully the documentation included to package.
If you didn`t find what you need and would like to post a new question click the "Start a New Discussion" button on the right.
4. You can post on forum only after registration (you need purchase code to register) .


NOTE!!! If you are starting a new topic and have got problems with your site and you want us to check what`s wrong please always give url to your site because without that we can`t check what`s wrong. Each case may be different because of your installed plugins, servers or other things.


Theme not compatible with PHP 7.x - When is planned to fully support PHP 7.1?
  • Theme isn't compatible with PHP 7.x in the latest Version 1.4.2.
    Are the any plans when theme will be fully compatible with PHP 7.x, as PHP 5.6 and PHP 7.0 are end of life and most hosters get rid of this versions.

    For example /rocco/functions/meta-functions.php produces an error.

    "Fatal error: Uncaught Error: [] operator not supported for strings".

    Line 1573
    // styles -------------------------
    $section_style = '';
    for example has to be changed to
    // styles -------------------------
    $section_style = [];

    because of changes in PHP 7.1.0:

    The empty index operator (e.g. $str[] = $x) is not supported for strings anymore, and throws a fatal error instead of silently converting to array.

    So that means that you need to say that it is an array $myString = array();
    Prior to PHP 7.1.0 , PHP converted a [] to array() silently, and now not anymore.
  • 3 Comments sorted by
  • I'm having issues, too. I have been going back and forth with the theme author about Rocco 1.4.2 not working with PHP 7.1 but the author insists it is fully compatible on "thousands" of sites, and the issue is my hosting account. Meanwhile, PHP logs show this error: 
    • PHP Fatal error: Uncaught Error: [] operator not supported for strings in /app/www/wp-content/themes/rocco/functions/meta-functions.php:1580
  • @digitalbytes:
    As you can see it is NOT fully compatible

    $section_style  = '';
    ^^
    the theme author uses a wrong initialization of the variable $section_style that can#t be used in PHP 7.1 any more.

    The issue is not our hosting account - the issue is on the side of muffingroup.